extends ../../includes/layout

block content

    .d-flex.align-items-center.mb-4
        h4.fs-20.font-w600.mb-0.me-auto
    .row
        .col-xl-12
            .card
                .card-header
                    h4.card-title #{nav}
                .card-body
                    .row
                        .col-sm-12
                            table#pickle.table.table-hover.table-striped
                                thead
                                    tr
                                        th #
                                        th Room Name
                                        th User created
                                        th Date Created 
                                        th User Updated 
                                        th Date Updated
                                        th Action
                                tbody
                                    each val, index in data
                                        tr
                                            td= (index+1)
                                            td= val.name
                                            td= val.user_created 
                                            td= val.created_at 
                                            td= val.user_updated 
                                            td= val.updated_at 
                                            td 
                                                button.btn.btn-warning.shadow.btn-xs.sharp.me-1.btn-edit(data-id=val._id)
                                                    li.flaticon-063-pencil
                                                button.btn.btn-danger.shadow.btn-xs.sharp.btn-del(data-id=val._id)
                                                    li.fa.fa-trash


block script
    script.

        $('#pickle').on('click','.btn-edit',function(){
            var id = $(this).attr('data-id')
            window.location.replace("#{base_url}admin/room/edit/"+id);
        })

        $('#pickle').on('click','.btn-del',function(){
            const obj = $(this)
            swal({
                title: "Are you sure?",
                text: "Delete product ? ",
                type: "warning",
                showCancelButton: true,
                confirmButtonColor: '#DD6B55',
                confirmButtonText: 'Yes, I am sure!',
                cancelButtonText: "No, cancel it!"
            }).then(function(result) {
                console.log(result)
                if(result.value){
                    delete_item(obj)
                }
            })
        })

        function delete_item(obj){
            $.ajax({
                url: "#{base_url}admin/room/delete",
                headers: {
                    'Authorization': 'Bearer '+access_token,
                },
                method: "POST",
                dataType: "json",
                data:{
                    id:obj.attr('data-id')
                },
                success: function (data, status, xhr) {
                    if(status=='success' && xhr.status==201 && data.result){
                        swal("Success", data.message, "success");
                        obj.parent().parent().remove()
                    }else{
                        sweetAlert("Oops...", data.message, "error");
                    }
                },
                error: function (xhr, status, error) {
                    if(xhr.status==401){
                        redirect_login();
                    }else{
                        alert_message(xhr.responseText);
                    }
                },
            });
        }




